﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using NAnt.Core;
using NAnt.Core.Attributes;

namespace CustomFunction
{
    [FunctionSet("file", "File")]
   public class RawFileNameTask : FunctionSetBase
   {
       public RawFileNameTask(Project project, PropertyDictionary properties) : base(project, properties)
       {
       }

        [Function("get-raw-file-name")]
       public string GetRawFileName(string fileName)
       {
           return new FileInfo( fileName ).Name;
       }
   }
}
